# Generated by Django 3.0.6 on 2020-08-13 14:36

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("inte_lists", "0006_auto_20200812_0317"),
        ("inte_subject", "0027_auto_20200812_2242"),
    ]

    operations = [
        migrations.AlterField(
            model_name="healtheconomicsrevised",
            name="received_rx_month",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="not including today",
                max_length=15,
                verbose_name="Over the last month, did you get any drugs on your visit to the health facility?",
            ),
        ),
        migrations.AlterField(
            model_name="healtheconomicsrevised",
            name="rx_diabetes_cost_month",
            field=models.IntegerField(
                blank=True,
                help_text="In local currency",
                null=True,
                validators=[django.core.validators.MinValueValidator(0)],
                verbose_name="If these drugs were not free, how much did you pay?",
            ),
        ),
        migrations.AlterField(
            model_name="healtheconomicsrevised",
            name="rx_diabetes_month",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="not including today",
                max_length=15,
                verbose_name="Did you receive drugs for raised blood sugar (diabetes) over the last month?",
            ),
        ),
        migrations.AlterField(
            model_name="healtheconomicsrevised",
            name="rx_diabetes_paid_month",
            field=models.ManyToManyField(
                blank=True,
                related_name="_healtheconomicsrevised_rx_diabetes_paid_month_+",
                to="inte_lists.DrugPaySources",
                verbose_name="If YES, how were these paid for?",
            ),
        ),
        migrations.AlterField(
            model_name="healtheconomicsrevised",
            name="rx_diabetes_today",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                verbose_name="Did you receive drugs for raised blood sugar (diabetes) today?",
            ),
        ),
        migrations.AlterField(
            model_name="healtheconomicsrevised",
            name="rx_hiv_cost_month",
            field=models.IntegerField(
                blank=True,
                help_text="In local currency",
                null=True,
                validators=[django.core.validators.MinValueValidator(0)],
                verbose_name="If these drugs were not free, how much did you pay?",
            ),
        ),
        migrations.AlterField(
            model_name="healtheconomicsrevised",
            name="rx_hiv_month",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="not including today",
                max_length=15,
                verbose_name="Did you receive anti-retroviral drugs for HIV over the last month?",
            ),
        ),
        migrations.AlterField(
            model_name="healtheconomicsrevised",
            name="rx_hiv_paid_month",
            field=models.ManyToManyField(
                blank=True,
                max_length=25,
                related_name="_healtheconomicsrevised_rx_hiv_paid_month_+",
                to="inte_lists.DrugPaySources",
                verbose_name="If YES, how were these paid for?",
            ),
        ),
        migrations.AlterField(
            model_name="healtheconomicsrevised",
            name="rx_hypertension_cost_month",
            field=models.IntegerField(
                blank=True,
                help_text="In local currency",
                null=True,
                validators=[django.core.validators.MinValueValidator(0)],
                verbose_name="If these drugs were not free, how much did you pay?",
            ),
        ),
        migrations.AlterField(
            model_name="healtheconomicsrevised",
            name="rx_hypertension_month",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="not including today",
                max_length=15,
                verbose_name="Did you receive drugs for raised blood pressure (hypertension) over the last month?",
            ),
        ),
        migrations.AlterField(
            model_name="healtheconomicsrevised",
            name="rx_hypertension_paid_month",
            field=models.ManyToManyField(
                blank=True,
                related_name="_healtheconomicsrevised_rx_hypertension_paid_month_+",
                to="inte_lists.DrugPaySources",
                verbose_name="If YES, how were these paid for?",
            ),
        ),
        migrations.AlterField(
            model_name="healtheconomicsrevised",
            name="rx_other_month",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=15,
                verbose_name="Did you receive 'other' drugs?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalhealtheconomicsrevised",
            name="received_rx_month",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="not including today",
                max_length=15,
                verbose_name="Over the last month, did you get any drugs on your visit to the health facility?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalhealtheconomicsrevised",
            name="rx_diabetes_cost_month",
            field=models.IntegerField(
                blank=True,
                help_text="In local currency",
                null=True,
                validators=[django.core.validators.MinValueValidator(0)],
                verbose_name="If these drugs were not free, how much did you pay?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalhealtheconomicsrevised",
            name="rx_diabetes_month",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="not including today",
                max_length=15,
                verbose_name="Did you receive drugs for raised blood sugar (diabetes) over the last month?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalhealtheconomicsrevised",
            name="rx_diabetes_today",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                verbose_name="Did you receive drugs for raised blood sugar (diabetes) today?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalhealtheconomicsrevised",
            name="rx_hiv_cost_month",
            field=models.IntegerField(
                blank=True,
                help_text="In local currency",
                null=True,
                validators=[django.core.validators.MinValueValidator(0)],
                verbose_name="If these drugs were not free, how much did you pay?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalhealtheconomicsrevised",
            name="rx_hiv_month",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="not including today",
                max_length=15,
                verbose_name="Did you receive anti-retroviral drugs for HIV over the last month?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalhealtheconomicsrevised",
            name="rx_hypertension_cost_month",
            field=models.IntegerField(
                blank=True,
                help_text="In local currency",
                null=True,
                validators=[django.core.validators.MinValueValidator(0)],
                verbose_name="If these drugs were not free, how much did you pay?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalhealtheconomicsrevised",
            name="rx_hypertension_month",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="not including today",
                max_length=15,
                verbose_name="Did you receive drugs for raised blood pressure (hypertension) over the last month?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalhealtheconomicsrevised",
            name="rx_other_month",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=15,
                verbose_name="Did you receive 'other' drugs?",
            ),
        ),
    ]
